#include <LPC214x.H> 
#include "wait.h"

#define DAC_BIAS 1 << 16

void dac_tone(unsigned int tone, unsigned int time, unsigned int again)
{
 unsigned int i,t,d;
 t=1000000/tone; //  T[]=1000000/F[]
 d=(1000*time)/t; //  D=1000[]/T[]
 while(again!=0)
  {
  for(i=0; i<=d; i++)
   {
   DACR = 0;
   Del_Nmks(t/2);
   DACR = 0x3ff<<6;
   Del_Nmks(t/2);
   }
  Del_Nms(250);
  again--;
  }
}


void dac_gen(void)
{
 unsigned int i;
 for(i=0; i<=1023; i++)
  {
  DACR = i<<6;
  Del_Nmks(125);
  DACR = 0;
  Del_Nms(1);
  }
// Del_Nms(500);
 for(i=1023; i>0; i--)
  {
  DACR = i<<6;
  Del_Nmks(125);
  DACR = 0;
  Del_Nms(1);
  }
}
